Jump to content
Sign in to follow this  
Kapsowk

There appears to be an error with the database.

Recommended Posts

There appears to be an error with the database.

Цитата

 ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 Date: Mon, 08 Jan 2018 15:23:23 +0000
 Error: 1267 - Illegal mix of collations (cp1251_general_ci,IMPLICIT) and (utf8_general_ci,COERCIBLE) for operation '='
 IP Address: 84.53.198.61 - /index.php?/forum/4-vakansii/
 ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 mySQL query error: SELECT t.*,xxx.* FROM topics t  LEFT JOIN core_tags_cache xxx ON ( xxx.tag_cache_key=MD5(CONCAT('forums',';','topics',';',t.tid)) )   WHERE t.forum_id=4 AND t.pinned IN (0,1) AND ( t.approved=1 ) ORDER BY t.pinned DESC,  t.last_post DESC LIMIT 0,30
 .--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
 | File                                                                       | Function                                                                      | Line No.          |
 |----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------|
 | admin/applications/forums/modules_public/forums/forums.php                 | [public_forums_forums_forums].renderForum                                     | 457               |
 '----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
 | admin/applications/forums/modules_public/forums/forums.php                 | [public_forums_forums_forums].showForum                                       | 147               |
 '----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
 | admin/sources/base/ipsController.php                                       | [public_forums_forums_forums].doExecute        

 

Помогите решить проблему <3

 

Share this post


Link to post
Share on other sites

Кто вас так учил озвучивать проблему? При каких условиях возникает, версия движка, после чего началась появляться ошибка?

Share this post


Link to post
Share on other sites
Только что, Cheshir сказал:

Кто вас так учил озвучивать проблему? При каких условиях возникает, версия движка, после чего началась появляться ошибка?

Вообщем, создал форум на движке 3.4.6, решил зайти на тестовый подфорум, мне выбило "If you are seeing this page, it means there was a problem communicating with our database. Sometimes this error is temporary and will go away when you refresh the page. Sometimes the error will need to be fixed by an administrator before the site will become accessible again. "

 

Share this post


Link to post
Share on other sites

 

Только что, Kapsowk сказал:

Вообщем, создал форум на движке 3.4.6, решил зайти на тестовый подфорум, мне выбило "If you are seeing this page, it means there was a problem communicating with our database. Sometimes this error is temporary and will go away when you refresh the page. Sometimes the error will need to be fixed by an administrator before the site will become accessible again. "

 

решение смотрим чуть выше

Share this post


Link to post
Share on other sites
4 минуты назад, WOLF сказал:

кодировка БД должна быть utf8_general_ci

Отлично, но как это сделать? Мой уровень  знаний в БД = 0

Share this post


Link to post
Share on other sites
1 минуту назад, Kapsowk сказал:

Отлично, но как это сделать? Мой уровень  знаний в БД = 0

там в темах вроде подробно все описано/ либо переустановите форум, только перед установкой укажите в бд кодировку utf8_general_ci

Share this post


Link to post
Share on other sites
1 минуту назад, Cheshir сказал:

При создании БД можно и нужно указать кодировку, желательно в utf8mb4_general_ci 

Тоже была такая проблема, но там не utf8mb4_general_ci а utf8_general_ci рекомендовали. Точно не знаю почему, но говорилось, что не перепутайте с utf8mb4_general_ci.

Share this post


Link to post
Share on other sites

Приветствую всех!

Нет возможности зарегистрироваться, помогите п\ж - сразу после установки движка 3.4.9

Файл конвертор базы лил в корень не помогло

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 Date: Tue, 06 Aug 2019 04:38:06 +0000
 Error: 1054 - Unknown column 'vk_uid' in 'field list'
 IP Address: 145.255.1.200 - /forum/index.php?app=core&module=global&section=register
 ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 mySQL query error: INSERT INTO members (`name`,`members_display_name`,`email`,`member_group_id`,`joined`,`ip_address`,`time_offset`,`coppa_user`,`memb//////////
 .--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
 | File                                                                       | Function                                                                      | Line No.          |
 |----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------|
 | admin/sources/base/ipsMember.php                                           | [db_main_mysql].insert                                                        | 670               |
 '----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
 | admin/applications/core/modules_public/global/register.php                 | [IPSMember].create                                                            | 1949              |
 '----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
 | admin/applications/core/modules_public/global/register.php                 | [public_core_global_register].registerProcessForm                             | 65                |
 '----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
 | admin/sources/base/ipsController.php                                       | [public_core_global_register].doExecute                                       | 306               |
 '----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'

Share this post


Link to post
Share on other sites

Дайте ссылку на новые версии\ю скачаю

30 минут назад, Respected сказал:

Зачем устанавливать такую старую версию?

Искал по новее не нашел

Где скачать можно новую версию? Пиратку

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×